---
title: box-orient
slug: Web/CSS/box-orient
tags:
  - CSS
  - Non-standard
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}{{Non-standard_header}}
<p class="notecard warning">This is a property of the original CSS Flexible Box Layout Module draft, and has been replaced by a newer standard. See <a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Using_CSS_flexible_boxes">flexbox</a> for information about the current standard.</p>
</div>

<p>The <strong><code>box-orient</code></strong> <a href="/en-US/docs/Web/CSS">CSS </a>property sets whether an element lays out its contents horizontally or vertically.</p>

<pre class="brush:css notranslate">/* Keyword values */
box-orient: horizontal;
box-orient: vertical;
box-orient: inline-axis;
box-orient: block-axis;

/* Global values */
box-orient: inherit;
box-orient: initial;
box-orient: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<p>The <code>box-orient</code> property is specified as one of the keyword values listed below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>horizontal</code></dt>
 <dd>The box lays out its contents horizontally.</dd>
 <dt><code>vertical</code></dt>
 <dd>The box lays out its contents vertically.</dd>
 <dt><code>inline-axis</code> (HTML)</dt>
 <dd>The box displays its children along the inline axis.</dd>
 <dt><code>block-axis</code> (HTML)</dt>
 <dd>The box displays its children along the block axis.</dd>
</dl>

<p>The inline and block axes are the writing-mode dependent keywords which, in English, map to <code>horizontal</code> and <code>vertical</code> respectively.</p>

<h2 id="Description">Description</h2>

<p>HTML DOM elements lay out their contents along the inline-axis by default. This CSS property will only apply to HTML elements with a CSS {{CSSxRef("display")}} value of {{CSSxRef("box")}} or {{CSSxRef("inline-box")}}.</p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_horizontal_box_orientation">Setting horizontal box orientation</h3>

<p>Here, he <code>box-orient</code> property will cause the two {{HTMLElement("p")}} sections in the example to display in the same line.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="example"&gt;
    &lt;p&gt;I will be to the left of my sibling.&lt;/p&gt;
    &lt;p&gt;I will be to the right of my sibling.&lt;/p&gt;
&lt;/div&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">div.example {
  display: -moz-box;                /* Mozilla */
  display: -webkit-box;             /* WebKit */
  display: box;                     /* As specified */

  /* Children should be oriented vertically */
  -moz-box-orient: horizontal;      /* Mozilla */
  -webkit-box-orient: horizontal;   /* WebKit */
  box-orient: horizontal;           /* As specified */
}
</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Setting_horizontal_box_orientation', 600, 50, '', 'Web/CSS/box-orient') }}</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.box-orient")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>{{CSSxRef("box-direction")}}</li>
 <li>{{CSSxRef("box-pack")}}</li>
 <li>{{CSSxRef("box-align")}}</li>
 <li>{{CSSxRef("flex-direction")}}</li>
</ul>
